DataSourceDescriptor (cayenne-doc: Cayenne Documentation 5.0-M2 API)
Description: declaration: package: org.apache.cayenne.configuration, class: DataSourceDescriptor

# Class DataSourceDescriptor

java.lang.Object
org.apache.cayenne.configuration.DataSourceDescriptor

All Implemented Interfaces:
  `Serializable, XMLSerializable`

public class DataSourceDescriptor extends Object implements Serializable, XMLSerializable
Helper holding DataSource information for the Cayenne-managed DataSource.

Since:
  5.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `dataSourceUrl`
  `protected String`
  `jdbcDriver`
  `protected int`
  `maxConnections`
  `protected int`
  `minConnections`
  `protected String`
  `password`
  `protected String`
  `userName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSourceDescriptor()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor delegate)`
  Prints itself as XML to the provided XMLEncoder.
  `boolean`
  `equals(Object o)`
  `String`
  `getDataSourceUrl()`
  `String`
  `getJdbcDriver()`
  `int`
  `getMaxConnections()`
  `int`
  `getMinConnections()`
  `String`
  `getPassword()`
  `String`
  `getUserName()`
  `int`
  `hashCode()`
  `void`
  `setDataSourceUrl(String dataSourceUrl)`
  `void`
  `setJdbcDriver(String jdbcDriver)`
  `void`
  `setMaxConnections(int maxConnections)`
  `void`
  `setMinConnections(int minConnections)`
  `void`
  `setPassword(String password)`
  `void`
  `setUserName(String userName)`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### jdbcDriver

    protected String jdbcDriver

  - ### dataSourceUrl

    protected String dataSourceUrl

  - ### userName

    protected String userName

  - ### password

    protected String password

  - ### minConnections

    protected int minConnections

  - ### maxConnections

    protected int maxConnections

- ## Constructor Details

  - ### DataSourceDescriptor

    public DataSourceDescriptor()

- ## Method Details

  - ### getJdbcDriver

    public String getJdbcDriver()

  - ### setJdbcDriver

    public void setJdbcDriver(String jdbcDriver)

  - ### getDataSourceUrl

    public String getDataSourceUrl()

  - ### setDataSourceUrl

    public void setDataSourceUrl(String dataSourceUrl)

  - ### getUserName

    public String getUserName()

  - ### setUserName

    public void setUserName(String userName)

  - ### getPassword

    public String getPassword()

  - ### setPassword

    public void setPassword(String password)

  - ### getMinConnections

    public int getMinConnections()

  - ### setMinConnections

    public void setMinConnections(int minConnections)

  - ### getMaxConnections

    public int getMaxConnections()

  - ### setMaxConnections

    public void setMaxConnections(int maxConnections)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### encodeAsXML

    public void encodeAsXML(XMLEncoder encoder, ConfigurationNodeVisitor delegate)
    Description copied from interface: `XMLSerializable`
    Prints itself as XML to the provided XMLEncoder.
    Specified by:
      `encodeAsXML` in interface `XMLSerializable`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`